--- a/src/libs/utils/buildablehelperlibrary.cpp
+++ b/src/libs/utils/buildablehelperlibrary.cpp
@@ -155,7 +155,12 @@
     // On Unix some distributions renamed qmake with a postfix to avoid clashes
     // On OS X, Qt 4 binary packages also has renamed qmake. There are also symbolic links that are
     // named "qmake", but the file dialog always checks against resolved links (native Cocoa issue)
-    QStringList commands(HostOsInfo::withExecutableSuffix("qmake*"));
+    QStringList commands = QStringList()
+        << HostOsInfo::withExecutableSuffix("qmake-qt6")
+        << HostOsInfo::withExecutableSuffix("qmake-qt5")
+        << HostOsInfo::withExecutableSuffix("qmake-qt4")
+        << HostOsInfo::withExecutableSuffix("qmake-qt3")
+        << HostOsInfo::withExecutableSuffix("qmake");
 
     // Qt 6 CMake built targets, such as Android, are dependent on the host installation
     // and use a script wrapper around the host qmake executable
